# CodeQualityExtension

API Documentation: | `CodeQualityExtension`

Known Subtypes: |
`CheckstyleExtension`
`CodeNarcExtension`
`PmdExtension`

Base Code Quality Extension.

### Properties

Property | Description
`ignoreFailures` | Whether to allow the build to continue if there are warnings. Example: ignoreFailures = true
`reportsDir` | The directory where reports will be generated.
`sourceSets` | The source sets to be analyzed as part of the `check` and `build` tasks.
`toolVersion` | The version of the code quality tool to be used.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `ignoreFailures`

Whether to allow the build to continue if there are warnings. Example: ignoreFailures = true

Default:
  `false`

#### `File` `reportsDir`

The directory where reports will be generated.

#### ``Collection`<`SourceSet`>` `sourceSets`

The source sets to be analyzed as part of the `check` and `build` tasks.

Default:
  `project.sourceSets`

#### `String` `toolVersion`

The version of the code quality tool to be used.